main {
    max-width: unset;
}

h3 {
    margin-left: auto;
    margin-right: auto;
    text-decoration: underline;
}

.backuplink {
    font-size: 15px;
    margin-top: 0;
}

.backuplink p {
    margin-left: 10px;
}

.card-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

#discord-embed-card {
    width: 500px;
}

#discord_frame {
    height: 500px;
    width: 100%;
}

#leaderboard-card {
    min-width: 687px;
}

#levels_content {
    min-width: 640px;
}

.loading-wave {
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: flex-end;
}

.loading-bar {
    width: 20px;
    height: 10px;
    margin: 0 5px;
    background-color: var(--primary-color);
    border-radius: 5px;
    animation: loading-wave-animation 1s ease-in-out infinite;
}

.loading-bar:nth-child(2) {
    animation-delay: 0.1s;
}

.loading-bar:nth-child(3) {
    animation-delay: 0.2s;
}

.loading-bar:nth-child(4) {
    animation-delay: 0.3s;
}

@keyframes loading-wave-animation {
    0% {
        height: 10px;
    }

    50% {
        height: 50px;
    }

    100% {
        height: 10px;
    }
}

.leaderboard-line {
    margin-top: 7px;
    margin-bottom: 7px;
    width: 100%;
    height: 70px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.left_block {
    margin-left: 20px;
    display: flex;
    align-items: center;
    align-self: center;
}

.right_block {
    margin-right: 20px;
    text-align: right;
    display: flex;
    align-items: center;
    align-self: center;
}

.rank-box {
    width: 35px;
    height: 35px;
    border-radius: 50%;
    background-color: var(--bg-color);
    display: flex;
    justify-content: center;
    align-items: center;
}

.rank-box > p {
    margin: 0;
    font-family: "Bebas Neue", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.rank_1_color {
    background-color: #DF8E1D !important;
}

.rank_2_color {
    background-color: #7C7F93 !important;
}

.rank_3_color {
    background-color: #FE640B !important;
}

.pdp_box {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    margin-left: 20px;
    pointer-events: none;
}

.name_box {
    margin-left: 10px;
}

.username {
    display: block;
    color: gray;
}

.stat_box {
    z-index: 2;
    margin-left: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    align-self: center;
}

.stat_name {
    font-size: 11px;
    display: flex;
    text-align: center;
}

.stat_value {
    display: flex;
    text-align: center;
}

.level_box {
    z-index: 1;
    display: flex;
    width: 60px;
    height: 60px;
    background-color: var(--bg-color);
    border-radius: 50%;
    position: relative;
    margin-left: 20px;
}

.bar_box {
    z-index: 0;
    top: 0;
    left: 0;
    justify-content: center;
    position: absolute;
    width: 60px;
    height: 60px;
}

.bar {
    top: 0;
    left: 0;
    border: 2px solid var(--primary-color);
    border-radius: 50%;
    height: 60px;
    width: 60px;
    position: absolute;
    clip: rect(0, 30px, 60px, 0);
}

.bar_less_180 {
    clip: rect(0, 60px, 60px, 30px);
}

.level_box:after {
    top: 2px;
    left: 2px;
    content: "  ";
    background-color: var(--bg-secondary);
    border-radius: 50%;
    height: 56px;
    width: 56px;
    position: absolute;
}

.separator_horizontal {
    width: 100%;
    height: 1px;
    background-color: #474b50;
}